package com.ebaiyihui.family.doctor.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ebaiyihui.family.doctor.server.entity.PatientMedicalRecordEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;


@Mapper
public interface PatientMedicalRecordMapper extends BaseMapper<PatientMedicalRecordEntity> {

    @Select("select * from patient_medical_record where id = #{id} and record_status = #{status}")
    PatientMedicalRecordEntity getByIdAndStatus(String id, int status);
}
